summarylogtreecommitdiffstats
path: root/pmacctd.rc.d
diff options
context:
space:
mode:
authorChris Severance2015-07-24 18:02:24 -0400
committerChris Severance2015-07-24 18:02:24 -0400
commitdd405e616ccb241bf4ffb9b36ae4d32f7e702600 (patch)
tree0106bfbbdfc379d5e0c34eb69ec0c9f3dcf28345 /pmacctd.rc.d
downloadaur-dd405e616ccb241bf4ffb9b36ae4d32f7e702600.tar.gz
Initial import
Diffstat (limited to 'pmacctd.rc.d')
-rw-r--r--pmacctd.rc.d40
1 files changed, 40 insertions, 0 deletions
diff --git a/pmacctd.rc.d b/pmacctd.rc.d
new file mode 100644
index 00000000000..a90ca54e07b
--- /dev/null
+++ b/pmacctd.rc.d
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+CONF=/etc/pmacct/pmacctd.conf
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f $CONF ]
+
+PID=$(pidof -o %PPID /usr/sbin/pmacctd)
+case "$1" in
+ start)
+ stat_busy "Starting pmacct libpcap Accounting Daemon"
+ [ -z "$PID" ] && /usr/sbin/pmacctd -f $CONF
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon pmacctd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping pmacct libpcap Accounting Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon pmacctd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0